Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 452315

Summary: Review Request: e4fsprogs - e2fsprogs clone for ext4 in rhel5
Product: Red Hat Enterprise Linux 5 Reporter: Eric Sandeen <esandeen>
Component: Package ReviewAssignee: Jarod Wilson <jarod>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5.3CC: dkovalsk, lmiksik, notting, pm-rhel, syeghiay
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-13 09:55:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Eric Sandeen 2008-06-20 21:20:47 UTC
Spec URL: http://people.redhat.com/esandeen/ext4/e4fsprogs/e4fsprogs.spec
SRPM URL: http://people.redhat.com/esandeen/ext4/e4fsprogs/e4fsprogs-1.41-0.1.WIP.617.el5.src.rpm
Description: 
The e4fsprogs package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in the
fourth extended (ext4) filesystem. E4fsprogs contains
e4fsck (used to repair filesystem inconsistencies after an unclean
shutdown), mke4fs (used to initialize a partition to contain an
empty ext4 filesystem), debugfs (used to examine the internal
structure of a filesystem, to manually repair a corrupted
filesystem, or to create test cases for e4fsck), tune4fs (used to
modify filesystem parameters), and most of the other core ext4fs
filesystem utilities.

Please note that "e4fsprogs" simply contains renamed static binaries
from the equivalent upstream e2fsprogs release; it is packaged this
way for Red Hat Enterprise Linux 5 to ensure that the many changes
included for ext4 do not destabilize the core e2fsprogs in RHEL5.

You should install the e4fsprogs package if you need to manage the
performance of an ext4 filesystem.

Comment 1 Daniel Riek 2008-07-15 18:22:44 UTC
Approved component for 5.3

Comment 2 Jarod Wilson 2008-09-10 16:06:23 UTC
I'll handle this one. Eric, is the url in comment #0 still the latest and greatest package version that should be reviewed?

Comment 3 Eric Sandeen 2008-09-10 16:19:43 UTC
It's built in brew now, so maybe better:

http://porkchop.devel.redhat.com/brewroot/packages/e4fsprogs/1.41.0/1.el5/

-Eric

Comment 4 Jarod Wilson 2008-09-12 16:56:03 UTC
I see nothing objectionable in the spec, and its just an already-approved
e2fsprogs spec with some minor tweaks. Everything builds and runs as expected.
rpmlint is happy with both the srpm and binary rpms, save one warning about the
permissions uuid initscript in the srpm (which we can just ignore).

Package APPROVED, import this puppy. Or better yet, an updated 1.41.1 version,
since that's out now.